<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="20037" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="20020"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="BeVietnamPro-Regular.ttf">
            <string>BeVietnamPro-Regular</string>
        </array>
        <array key="Roboto-Medium.ttf">
            <string>Roboto-Medium</string>
        </array>
        <array key="Roboto-Regular.ttf">
            <string>Roboto-Regular</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <tableViewCell contentMode="scaleToFill" selectionStyle="default" indentationWidth="10" rowHeight="143" id="KGk-i7-Jjw" customClass="CellTableViewFlashSale" customModule="_SK" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="489" height="143"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" ambiguous="YES" tableViewCell="KGk-i7-Jjw" id="H2p-sc-9uM">
                <rect key="frame" x="0.0" y="0.0" width="489" height="143"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="VdE-XL-v4r">
                        <rect key="frame" x="0.0" y="0.0" width="489" height="134"/>
                        <subviews>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="zaA-Kt-ZVG">
                                <rect key="frame" x="16" y="8" width="457" height="118"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="NAp-zQ-okn">
                                        <rect key="frame" x="0.0" y="0.0" width="133" height="118"/>
                                        <color key="backgroundColor" name="line_gray_01"/>
                                        <constraints>
                                            <constraint firstAttribute="width" constant="133" id="pJ1-nU-L26"/>
                                        </constraints>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                                <real key="value" value="12"/>
                                            </userDefinedRuntimeAttribute>
                                        </userDefinedRuntimeAttributes>
                                    </imageView>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="VOH-JU-fq1">
                                        <rect key="frame" x="97" y="0.0" width="20" height="23"/>
                                        <subviews>
                                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_sale_product" translatesAutoresizingMaskIntoConstraints="NO" id="ii7-Gy-heV">
                                                <rect key="frame" x="0.0" y="0.0" width="20" height="23"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" secondItem="ii7-Gy-heV" secondAttribute="height" multiplier="20:23" id="vQK-dP-ERj"/>
                                                </constraints>
                                            </imageView>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0%" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="heN-He-TkM">
                                                <rect key="frame" x="0.0" y="7.5" width="20" height="8.5"/>
                                                <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="7"/>
                                                <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                        </subviews>
                                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                        <constraints>
                                            <constraint firstAttribute="trailing" secondItem="heN-He-TkM" secondAttribute="trailing" id="1BZ-lh-GQ4"/>
                                            <constraint firstItem="heN-He-TkM" firstAttribute="leading" secondItem="VOH-JU-fq1" secondAttribute="leading" id="BtG-39-uZS"/>
                                            <constraint firstItem="ii7-Gy-heV" firstAttribute="leading" secondItem="VOH-JU-fq1" secondAttribute="leading" id="G18-di-WpF"/>
                                            <constraint firstItem="ii7-Gy-heV" firstAttribute="top" secondItem="VOH-JU-fq1" secondAttribute="top" id="S6N-YH-s1i"/>
                                            <constraint firstItem="heN-He-TkM" firstAttribute="centerY" secondItem="VOH-JU-fq1" secondAttribute="centerY" id="Saa-Db-xp1"/>
                                            <constraint firstAttribute="trailing" secondItem="ii7-Gy-heV" secondAttribute="trailing" id="ggP-I5-gdq"/>
                                            <constraint firstAttribute="bottom" secondItem="ii7-Gy-heV" secondAttribute="bottom" id="qeH-o7-g1s"/>
                                        </constraints>
                                    </view>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="F4j-D2-nFN">
                                        <rect key="frame" x="149" y="99" width="292" height="14"/>
                                        <subviews>
                                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="mOQ-Vy-BNV">
                                                <rect key="frame" x="0.0" y="0.0" width="50" height="14"/>
                                                <color key="backgroundColor" red="1" green="0.21454000470000001" blue="0.15807771679999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                <constraints>
                                                    <constraint firstAttribute="width" constant="50" id="JXZ-EX-Bga"/>
                                                </constraints>
                                            </view>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Đã bán 50" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="qw7-Lz-8ui">
                                                <rect key="frame" x="120.5" y="0.5" width="51.5" height="13"/>
                                                <fontDescription key="fontDescription" name="BeVietnamPro-Regular" family="Be Vietnam Pro" pointSize="10"/>
                                                <color key="textColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                        </subviews>
                                        <color key="backgroundColor" red="1" green="0.74948841330000004" blue="0.57243537899999997" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <constraints>
                                            <constraint firstItem="qw7-Lz-8ui" firstAttribute="centerX" secondItem="F4j-D2-nFN" secondAttribute="centerX" id="0HB-Qi-85N"/>
                                            <constraint firstItem="mOQ-Vy-BNV" firstAttribute="top" secondItem="F4j-D2-nFN" secondAttribute="top" id="Sne-Ao-NoT"/>
                                            <constraint firstAttribute="height" constant="14" id="jnh-kH-HWF"/>
                                            <constraint firstAttribute="bottom" secondItem="mOQ-Vy-BNV" secondAttribute="bottom" id="oaW-mi-NnP"/>
                                            <constraint firstItem="mOQ-Vy-BNV" firstAttribute="leading" secondItem="F4j-D2-nFN" secondAttribute="leading" id="pDB-oB-7HR"/>
                                            <constraint firstItem="qw7-Lz-8ui" firstAttribute="centerY" secondItem="F4j-D2-nFN" secondAttribute="centerY" id="ycc-Cf-Oju"/>
                                        </constraints>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                                <real key="value" value="7"/>
                                            </userDefinedRuntimeAttribute>
                                        </userDefinedRuntimeAttributes>
                                    </view>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label Label Label Label Label Label Label Label " textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="2" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="qhz-D4-cxc">
                                        <rect key="frame" x="149" y="0.0" width="292" height="33"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="33" id="Pzw-RL-t4a"/>
                                        </constraints>
                                        <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="14"/>
                                        <color key="textColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <stackView opaque="NO" contentMode="scaleToFill" distribution="fillEqually" spacing="20" translatesAutoresizingMaskIntoConstraints="NO" id="trZ-TW-bco">
                                        <rect key="frame" x="149" y="51.5" width="141" height="16.5"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="000.000đ" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="h9y-ke-rYq">
                                                <rect key="frame" x="0.0" y="0.0" width="60.5" height="16.5"/>
                                                <fontDescription key="fontDescription" name="Roboto-Medium" family="Roboto" pointSize="14"/>
                                                <color key="textColor" name="mainColor"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="000.000đ" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="U73-pa-V7E">
                                                <rect key="frame" x="80.5" y="0.0" width="60.5" height="16.5"/>
                                                <fontDescription key="fontDescription" name="Roboto-Regular" family="Roboto" pointSize="12"/>
                                                <color key="textColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                <nil key="highlightedColor"/>
                                            </label>
                                        </subviews>
                                    </stackView>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="LPd-0K-PSb" customClass="CosmosView" customModule="Cosmos">
                                        <rect key="frame" x="149" y="78" width="70" height="11"/>
                                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="11" id="85l-09-ywe"/>
                                            <constraint firstAttribute="width" constant="70" id="NiJ-pd-sFf"/>
                                        </constraints>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="number" keyPath="rating">
                                                <real key="value" value="3"/>
                                            </userDefinedRuntimeAttribute>
                                            <userDefinedRuntimeAttribute type="number" keyPath="totalStars">
                                                <integer key="value" value="5"/>
                                            </userDefinedRuntimeAttribute>
                                            <userDefinedRuntimeAttribute type="number" keyPath="starSize">
                                                <real key="value" value="10"/>
                                            </userDefinedRuntimeAttribute>
                                            <userDefinedRuntimeAttribute type="image" keyPath="emptyImage" value="ic_star_empty_product"/>
                                            <userDefinedRuntimeAttribute type="image" keyPath="filledImage" value="ic_star_filled_product"/>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="updateOnTouch" value="NO"/>
                                        </userDefinedRuntimeAttributes>
                                    </view>
                                </subviews>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstItem="trZ-TW-bco" firstAttribute="top" secondItem="qhz-D4-cxc" secondAttribute="bottom" constant="18.5" id="3oq-yb-Cwb"/>
                                    <constraint firstItem="qhz-D4-cxc" firstAttribute="leading" secondItem="NAp-zQ-okn" secondAttribute="trailing" constant="16" id="4Cg-PH-Ubw"/>
                                    <constraint firstAttribute="bottom" secondItem="NAp-zQ-okn" secondAttribute="bottom" id="9ms-kr-Tih"/>
                                    <constraint firstItem="LPd-0K-PSb" firstAttribute="top" secondItem="trZ-TW-bco" secondAttribute="bottom" constant="10" id="IDB-4U-hai"/>
                                    <constraint firstItem="qhz-D4-cxc" firstAttribute="top" secondItem="zaA-Kt-ZVG" secondAttribute="top" id="J5f-n5-2ZN"/>
                                    <constraint firstItem="F4j-D2-nFN" firstAttribute="leading" secondItem="NAp-zQ-okn" secondAttribute="trailing" constant="16" id="Kbr-aB-V1p"/>
                                    <constraint firstItem="VOH-JU-fq1" firstAttribute="top" secondItem="zaA-Kt-ZVG" secondAttribute="top" id="LZS-7J-heh"/>
                                    <constraint firstItem="NAp-zQ-okn" firstAttribute="top" secondItem="zaA-Kt-ZVG" secondAttribute="top" id="NbH-pq-Mdg"/>
                                    <constraint firstItem="LPd-0K-PSb" firstAttribute="leading" secondItem="NAp-zQ-okn" secondAttribute="trailing" constant="16" id="QuX-0k-bZ2"/>
                                    <constraint firstAttribute="trailing" secondItem="F4j-D2-nFN" secondAttribute="trailing" constant="16" id="SIf-V8-frG"/>
                                    <constraint firstAttribute="bottom" secondItem="F4j-D2-nFN" secondAttribute="bottom" constant="5" id="V1I-s6-5YX"/>
                                    <constraint firstItem="NAp-zQ-okn" firstAttribute="leading" secondItem="zaA-Kt-ZVG" secondAttribute="leading" id="aaa-cf-pud"/>
                                    <constraint firstItem="NAp-zQ-okn" firstAttribute="trailing" secondItem="VOH-JU-fq1" secondAttribute="trailing" constant="16" id="hkq-Wp-r59"/>
                                    <constraint firstItem="F4j-D2-nFN" firstAttribute="top" secondItem="LPd-0K-PSb" secondAttribute="bottom" constant="10" id="nu2-N2-Omb"/>
                                    <constraint firstAttribute="trailing" secondItem="qhz-D4-cxc" secondAttribute="trailing" constant="16" id="uLc-9g-p9L"/>
                                    <constraint firstItem="trZ-TW-bco" firstAttribute="leading" secondItem="NAp-zQ-okn" secondAttribute="trailing" constant="16" id="xni-Hi-IJG"/>
                                </constraints>
                            </view>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="8Id-Uz-fkC">
                                <rect key="frame" x="1" y="132" width="487" height="1"/>
                                <color key="backgroundColor" red="0.8974402547" green="0.8974402547" blue="0.8974402547" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="1" id="4pk-wV-FyA"/>
                                </constraints>
                            </view>
                        </subviews>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstAttribute="bottom" secondItem="8Id-Uz-fkC" secondAttribute="bottom" constant="1" id="4SO-vr-v1z"/>
                            <constraint firstItem="zaA-Kt-ZVG" firstAttribute="leading" secondItem="VdE-XL-v4r" secondAttribute="leading" constant="16" id="Dvc-ot-cKT"/>
                            <constraint firstAttribute="bottom" secondItem="zaA-Kt-ZVG" secondAttribute="bottom" constant="8" id="Erd-ur-yCf"/>
                            <constraint firstAttribute="trailing" secondItem="8Id-Uz-fkC" secondAttribute="trailing" constant="1" id="Faq-um-UL4"/>
                            <constraint firstAttribute="height" constant="134" id="GsM-uf-90y"/>
                            <constraint firstItem="zaA-Kt-ZVG" firstAttribute="top" secondItem="VdE-XL-v4r" secondAttribute="top" constant="8" id="VuK-9L-1ST"/>
                            <constraint firstAttribute="trailing" secondItem="zaA-Kt-ZVG" secondAttribute="trailing" constant="16" id="prR-dw-b3q"/>
                            <constraint firstItem="8Id-Uz-fkC" firstAttribute="leading" secondItem="VdE-XL-v4r" secondAttribute="leading" constant="1" id="rsL-gk-YgE"/>
                        </constraints>
                    </view>
                </subviews>
                <constraints>
                    <constraint firstAttribute="bottom" secondItem="VdE-XL-v4r" secondAttribute="bottom" id="DvF-J4-eAw"/>
                    <constraint firstItem="VdE-XL-v4r" firstAttribute="top" secondItem="H2p-sc-9uM" secondAttribute="top" id="GyQ-Kz-2ck"/>
                    <constraint firstItem="VdE-XL-v4r" firstAttribute="leading" secondItem="H2p-sc-9uM" secondAttribute="leading" id="en3-Qc-ifS"/>
                    <constraint firstAttribute="trailing" secondItem="VdE-XL-v4r" secondAttribute="trailing" id="h0A-Kn-M5Z"/>
                </constraints>
            </tableViewCellContentView>
            <viewLayoutGuide key="safeArea" id="njF-e1-oar"/>
            <connections>
                <outlet property="contraint_soldWidth" destination="JXZ-EX-Bga" id="OHj-ju-wWq"/>
                <outlet property="img_Image" destination="NAp-zQ-okn" id="ll8-Fl-QxY"/>
                <outlet property="lbl_Price" destination="h9y-ke-rYq" id="444-Ii-82R"/>
                <outlet property="lbl_PriceOld" destination="U73-pa-V7E" id="kRG-Os-7Iu"/>
                <outlet property="lbl_SalePercent" destination="heN-He-TkM" id="d8T-Jh-JQc"/>
                <outlet property="lbl_Title" destination="qhz-D4-cxc" id="6Mq-me-kzI"/>
                <outlet property="lbl_soldNumber" destination="qw7-Lz-8ui" id="vc5-cf-hEj"/>
                <outlet property="view_Rate" destination="LPd-0K-PSb" id="YyD-8F-wrw"/>
                <outlet property="view_soldProducts" destination="F4j-D2-nFN" id="hvP-cJ-xKB"/>
            </connections>
            <point key="canvasLocation" x="-615.21739130434787" y="-93.415178571428569"/>
        </tableViewCell>
    </objects>
    <designables>
        <designable name="LPd-0K-PSb">
            <size key="intrinsicContentSize" width="70" height="10"/>
        </designable>
    </designables>
    <resources>
        <image name="ic_sale_product" width="20" height="23"/>
        <image name="ic_star_empty_product" width="8" height="8"/>
        <image name="ic_star_filled_product" width="8" height="8"/>
        <namedColor name="line_gray_01">
            <color red="0.92941176470588238" green="0.94117647058823528" blue="0.94901960784313721" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <namedColor name="mainColor">
            <color red="0.0" green="0.76078431372549016" blue="0.77254901960784317" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
